package com.aucma.base.mapper;

import java.util.List;
import com.aucma.base.domain.InspectionReport;

public interface InspectionReportMapper {
    public InspectionReport selectInspectionReportByObjId(Long objId);

    public List<InspectionReport> selectInspectionReportList(InspectionReport inspectionReport);

    public int insertInspectionReport(InspectionReport inspectionReport);

    public int updateInspectionReport(InspectionReport inspectionReport);

    public int deleteInspectionReportByObjId(Long objId);

    public int deleteInspectionReportByObjIds(Long[] objIds);
}
